package edu.travel.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 库房人员关联表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_warehouse_staff")
public class ShopWarehouseStaffVo extends BaseEntity {
    /**
     * ID
     */
    private Long id;

    /**
     * 库房ID
     */
    private Long warehouseId;

    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户名
     */
    private String tenantName;

    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 姓
     */
    private String tenantSurname;
    /**
     * 名
     */
    private String name;

    /**
     * 系统标识
     */
    private String project;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人id
     */
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    private Integer deleteFlag;
}