package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopProduct;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.dto.GetProductByTypeDto;
import edu.travel.dto.SearchProductDto;
import edu.travel.vo.ShopProductVo;

import java.io.IOException;


public interface ShopProductService extends IService<ShopProduct>{

    Page<ShopProductVo> getHotProduct(GetProductByTypeDto param);

    Page<ShopProductVo> searchProduct(SearchProductDto param) throws IOException;
}
