package edu.travel.remote;

import edu.travel.dto.ShopWarehouseDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopWarehouseVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(path = "/shopWarehouse", name = "warehouse")
public interface ShopWarehouseRemoteController extends RemoteBaseController<ShopWarehouseVo, ShopWarehouseDto> {

}
